using Toybox.WatchUi;
using Toybox.Graphics as Gfx;
using Toybox.System;
using Toybox.Lang;

class customView extends WatchUi.WatchFace {
	var width, height;
	var myFont=Gfx.FONT_NUMBER_HOT;

    function initialize() {
        WatchFace.initialize();
        
        //to use custom font, uncomment this line:
        //myFont=WatchUi.loadResource(Rez.Fonts.c1);
    }

    // Load your resources here
    function onLayout(dc) {
      	width=dc.getWidth();
		height=dc.getHeight();
    }

    // Called when this View is brought to the foreground. Restore
    // the state of this View and prepare it to be shown. This includes
    // loading resources into memory.
    function onShow() {
    }

    // Update the view
    function onUpdate(dc) {
    	dc.setColor(Gfx.COLOR_BLACK,Gfx.COLOR_BLACK);
    	dc.clear();
    	dc.setColor(Gfx.COLOR_BLUE, Gfx.COLOR_TRANSPARENT);
        // Get and show the current time
        var clockTime = System.getClockTime();
        var timeString = Lang.format("$1$:$2$", [clockTime.hour, clockTime.min.format("%02d")]);

		dc.drawText(width/2,height/2,myFont,timeString,Gfx.TEXT_JUSTIFY_CENTER|Gfx.TEXT_JUSTIFY_VCENTER);
    }

    // Called when this View is removed from the screen. Save the
    // state of this View here. This includes freeing resources from
    // memory.
    function onHide() {
    }

    // The user has just looked at their watch. Timers and animations may be started here.
    function onExitSleep() {
    }

    // Terminate any active timers and prepare for slow updates.
    function onEnterSleep() {
    }

}
